Package org.codehaus.groovy.transform.stc

# Class StaticTypeCheckingSupport.ByteArrayStaticTypesHelper

java.lang.Object
org.codehaus.groovy.transform.stc.StaticTypeCheckingSupport.ByteArrayStaticTypesHelper

Enclosing class:
  StaticTypeCheckingSupport

public static class StaticTypeCheckingSupport.ByteArrayStaticTypesHelper extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ByteArrayStaticTypesHelper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static byte`
  `getAt(byte[] array, int index)`
  `static Byte`
  `getAt$$bridge(byte[] array, int index)`
  Deprecated.
  `static void`
  `putAt(byte[] array, int index, byte value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ByteArrayStaticTypesHelper

    public ByteArrayStaticTypesHelper()

- ## Method Details

  - ### getAt

    public static byte getAt(byte[] array, int index)

  - ### getAt$$bridge

    @Deprecated(since="5.0.0") public static Byte getAt$$bridge(byte[] array, int index)
    Deprecated.

  - ### putAt

    public static void putAt(byte[] array, int index, byte value)